#
# spec file for package python-openstacksdk
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-openstacksdk
Version:        0.11.3
Release:        lp151.2.4
Summary:        An SDK for building applications to work with OpenStack
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/openstacksdk
Source0:        https://files.pythonhosted.org/packages/source/o/openstacksdk/openstacksdk-0.11.3.tar.gz
# https://review.openstack.org/#/c/539685/
Patch1:         0001-Let-enforcer.py-work-under-both-py2-and-py3.patch
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-PyYAML >= 3.10
BuildRequires:  python2-appdirs >= 1.3.0
BuildRequires:  python2-beautifulsoup4 >= 4.6.0
BuildRequires:  python2-decorator >= 3.4.0
BuildRequires:  python2-deprecation >= 1.0
BuildRequires:  python2-dogpile.cache >= 0.6.2
BuildRequires:  python2-extras >= 1.0.0
BuildRequires:  python2-fixtures >= 3.0.0
BuildRequires:  python2-futures >= 3.0.0
BuildRequires:  python2-ipaddress >= 1.0.16
BuildRequires:  python2-jmespath >= 0.9.0
BuildRequires:  python2-jsonpatch >= 1.16
BuildRequires:  python2-jsonschema >= 2.6.0
BuildRequires:  python2-keystoneauth1 >= 3.3.0
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-munch >= 2.1.0
BuildRequires:  python2-netifaces >= 0.10.4
BuildRequires:  python2-os-service-types >= 1.1.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-python-subunit >= 1.0.0
BuildRequires:  python2-requests-mock >= 1.1.0
BuildRequires:  python2-requestsexceptions >= 1.2.0
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-stestr >= 1.0.0
BuildRequires:  python2-stevedore >= 1.20.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-PyYAML >= 3.10
BuildRequires:  python3-appdirs >= 1.3.0
BuildRequires:  python3-beautifulsoup4 >= 4.6.0
BuildRequires:  python3-decorator >= 3.4.0
BuildRequires:  python3-deprecation >= 1.0
BuildRequires:  python3-devel
BuildRequires:  python3-dogpile.cache >= 0.6.2
BuildRequires:  python3-extras >= 1.0.0
BuildRequires:  python3-fixtures >= 3.0.0
BuildRequires:  python3-jmespath >= 0.9.0
BuildRequires:  python3-jsonpatch >= 1.16
BuildRequires:  python3-jsonschema >= 2.6.0
BuildRequires:  python3-keystoneauth1 >= 3.3.0
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-munch >= 2.1.0
BuildRequires:  python3-netifaces >= 0.10.4
BuildRequires:  python3-os-service-types >= 1.1.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-python-subunit >= 1.0.0
BuildRequires:  python3-requests-mock >= 1.1.0
BuildRequires:  python3-requestsexceptions >= 1.2.0
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-stestr >= 1.0.0
BuildRequires:  python3-stevedore >= 1.20.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-PyYAML >= 3.10
Requires:       python-appdirs >= 1.3.0
Requires:       python-decorator >= 3.4.0
Requires:       python-deprecation >= 1.0
Requires:       python-dogpile.cache >= 0.6.2
Requires:       python-iso8601 >= 0.1.11
Requires:       python-jmespath >= 0.9.0
Requires:       python-jsonpatch >= 1.16
Requires:       python-keystoneauth1 >= 3.3.0
Requires:       python-munch >= 2.1.0
Requires:       python-netifaces >= 0.10.4
Requires:       python-os-service-types >= 1.1.0
Requires:       python-requestsexceptions >= 1.2.0
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%ifpython2
Requires:       python-futures >= 3.0.0
Requires:       python-ipaddress >= 1.0.16
%endif
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
The python-openstacksdk is a collection of libraries for building
applications to work with OpenStack clouds. The project aims to
provide a consistent and complete set of interactions with OpenStack's
many services, along with complete documentation, examples, and tools.

%package -n python-openstacksdk-doc
Summary:        %{summary} - Documentation
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.17.0
Requires:       %{name} = %{version}

%description -n python-openstacksdk-doc
The python-openstacksdk is a collection of libraries for building
applications to work with OpenStack clouds. The project aims to
provide a consistent and complete set of interactions with OpenStack's
many services, along with complete documentation, examples, and tools.

This package contains documentation files for %{name}.

%prep
%autosetup -p1 -n openstacksdk-0.11.3
%py_req_cleanup
sed -i -e 's,coverage.*,,' test-requirements.txt || true
sed -i -e "s,'sphinx.ext.intersphinx'\,,," doc/source/conf.py
# build fails with warnings
sed -i 's/^warning-is-error.*/warning-is-error=0/g' setup.cfg

%build
%python_build
export PYTHONPATH=.
%{__python2} setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/openstack-inventory

%post
%python_install_alternative openstack-inventory

%postun
%python_uninstall_alternative openstack-inventory

%check
%{python_expand rm -rf .testrepository
stestr run
}

%files %{python_files}
%license LICENSE
%doc ChangeLog README.rst
%python_alternative %{_bindir}/openstack-inventory
%{python_sitelib}/openstack
%{python_sitelib}/*.egg-info

%files -n python-openstacksdk-doc
%license LICENSE
%doc doc/build/html

%changelog
* Tue Feb 13 2018 cloud-devel@suse.de
- update to version 0.11.3 (bsc#1078607)
  - Fix image task uploads
  - Remove self argument from connect helper function
  - Add notes about moving forward
  - Fix batching for floating ips and ports
  - Remove openstack-tox-pypy jobs
  - v2 image update fix
  - Prefer links dicts for pagination
  - Remove meter service
  - Update for new docs PTI
  - Add ability to register non-official services
  - Fix py35 and pypy tox env
  - Do not apply format expansions to passwords
  - Provide compatibility for people passing raw sessions
  - Move shade and os-client-config python content
  - Remove metric service
  - Add group parameter to create_server
  - Remove use of tox-siblings role
  - Remove -U from pip install
  - Add tag support to create_stack
  - Add helper property to get the current user id
  - Add resource2/proxy2 wrappers with deprecations
  - Add clustering guides cluster file, examples cluster code
  - Rename resource2 and proxy2 to resource and proxy
  - Add pools attribute to load balancer heath monitor
  - Move profile helper method to openstack.profile
  - Fix TypeError for overrided get methods
  - Implement availability_zone_hints for networks and routers.
  - Add cluster support force delete parameter
  - Rename CloudConfig to CloudRegion
  - Add betacloud to the vendors
  - Move task_manager and adapter up a level from cloud
  - Use version definition from openstack.version
  - Remove inner_exceptions plumbing
  - Allow domain_id for roles
  - Add deprecation warnings to profile
  - Add block_store support single volume display image message
  - Use Zuul v3 fetch-subunit-output
  - Change update/create method options
  - Added nat_source flag for networks.
  - Use devstack functional test base job
  - Clean up the release notes a bit
  - Adds get encrypted password support
  - Remove legacy client factory functions
  - Update the shade-merge document
  - Move role normalization to normalize.py
  - Clean up a bit after the mapping inversion
  - Add _query_mapping to identity resources
  - Port wait_for_ methods to use iterate_timeout
  - Complete move of baremetal machine tests
  - Cleanup objects that we create on behalf of images
  - Consume publish-openstack-sphinx-docs
  - Handle resource deletion properly
  - Add clustering guides node file, examples node code
  - Fix typo in the external service loader code
  - Make sure we use config defaults in profile compat code
  - Add ability to work in other auth contexts
  - Remove the deprecated "giturl" option
  - Remove python-ironicclient
  - Add server-side names to query param checking
  - Temporarily disable volume and os_image functional tests
  - Update UPPER_CONSTRAINTS_FILE for stable/queens
  - Move openstack_cloud helper functions
  - Avoid default mutable values in arguments
  - Treat clouds.yaml with one cloud like envvars
  - Invert the attribute mapping
  - Start using Connection in openstack.cloud
  - modify spelling error of resource
  - change spell error
  - Updated from global requirements
  - Remove setting of version/release from releasenotes
  - Make floating IP to be prefered over fixed when looking for IP
  - Add subnet_id property for FloatingIP
  - Replace clustering examples code cluster to clustering
  - Remove resource and proxy
  - Add method to cleanup autocreated image objects
  - Raise error when supplying invalid query params
  - Fix magnum functional test
  - Add supported method for checking the network exts
  - Support filtering servers in list_servers using arbitrary parameters
  - Add function to make CloudRegion from session
  - Add jobs for Zuul v3
  - Make the get_service_type() overrides tolernat of no defaults
  - Migrate to testtools for functional tests
  - resource: don't early terminate list
  - Pass through all_projects for get_server
  - Adds support to retrieve cinder backend pools information
  - Remove reference to context-managers from release note
  - fix misspelling of 'configuration'
  - Update docs and pep8 tox environments
  - Update Release Notes links and add bugs links
  - Add FloatingIP qos_policy_id attribute
  - Rationalize logging helpers and docs
  - Remove bogus and unneeded role from job definition
  - Re-enable octavia functional tests
  - Fixed a few nits in the README
  - Sort image update results before comparing
  - Rework config and rest layers
  - Stop osSDK mangling Swift metadata keys
  - Update make_rest_client to work with version discovery
  - Make meta.find_best_address() more generic
  - Add reno for tag support on heat stacks
  - Throw OpenStackCloudCreateException on create errors
  - Shift image tests from test_operator
  - Baremetal NIC list should return a list
  - Add a descriptor object for each service proxy
  - Protect against p_opt not having prompt attribute
  - Add clustering guides receiver file,examples receiver code
  - Update .gitreview for stable/queens
  - Add osc-tox-unit-tips jobs
  - Allow to pass filters like domain to find_project/user
  - Avoid tox_install.sh for constraints support
  - Remove name from zuul project stanza
  - Remove ansible functional tests for now
  - Add OSC functional tips jobs
  - Document current_user_id in a release note
  - Fix releasenotes builds
  - Fix regression for list_router_interfaces
  - Add clustering guides file, Examples code.
  - Update type conversion to handle subtypes more better
  - Fix an error about listing projects in connection doc
  - Fix clustering detach policy describe error
  - Add retry logic mechanism
  - Remove message v1 support
  - Ensure Connection can be made from keyword arguments
  - Image should be optional
  - Set empty Tag list if Network Tag API extension not supported
  - Handle glance image pagination links better
  - Add method to set bootable flag on volumes
  - Fix issue with missing url parameters
  - Add some docs about not using Profile
  - Migrate object_store to resource2/proxy2
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 0.9.19
  - Update load_balancer for v2 API
  - Introduce Member for Octavia (load balancing)
  - Fix comment in services function
  - Remove dead links about OpenStack RC file
  - Fix stack_file function return body
  - Cleanup test-requirements
  - Fix title in Network Agent resource doc
  - Add parameter_groups and conditions params for StackTemplate
  - Introduce Health Monitor for Octavia
  - fix the bug that cannot create a listener by openstacksdk
  - Introduce L7Rule for Octavia (load balancing)
  - Add required pool_id property to HealthMonitor
  - Fix some typos
  - Replace six.iteritems() with .items()
  - Add doc8 rule and check doc/source files
  - Add support for network quota details command
  - Allow filtering network ports by fixed_ips
  - Introduce Pool for Octavia (load balancing)
  - Update links in README
  - Update links in CONTRIBUTING.rst
  - Introduce Listener for Octavia (load balancing)
  - Fix octavia l7rules
  - Update external links which have moved
  - Introduce L7Policy for Octavia (load balancing)
  - Unify style of 'domain' field
  - Support to node-adopt and node-adopt-preview
  - fix the bug that cannot create a pool by openstacksdk
  - Add config param for cluster object
  - Add getting of QoS rule type details
  - Support node-adopt/preview CLI
  - Updated from global requirements
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 0.9.17
  - Fix document warnings
  - Add port property: trunk_details
  - Introduce Base for Octavia (load balancing)
  - Add compute support server migrate operation
  - Remove discover from test-requirements
  - Use https instead of http in cluster examples
  - Add is_profile_only to Cluster resource
  - Fix network quota test so it works on gate
  - Add compute support server backup operation
  - Cleanup various Sphinx warnings during doc build
  - Add wait_for_xxx methods to cluster proxy
  - Add new parameter "is_default" to Network QoS policy.
  - Fix the network service provider test
  - Filtering support by is_router_external to network resource
  - Reorganize image docs
  - Reorganize telemetry docs
  - Add cluster_operation and node_operation
  - Fix the agent add remove test
  - Remove get_service method from compute
  - Enable warnings_as_errors in doc enforcer
  - Add StackFiles resource to orchestration v1
  - Update the image used for functional tests
  - Fix the network floating ip test for get
  - Correct Network `ports` query parameters
  - Fix the telemetry statistics test
  - Updated from global requirements
  - Remove two remaining doc warnings
  - Add data plane status support to Network Port obj
  - Add 'project_id' to Server query parameters
  - Deprecate Message v1
  - Privatize session instance on Proxy subclasses
  - Add StackEnvironment resource to orchestration v1
  - keystone api v2.0 does not paginate roles or users
  - Add vlan_transparent property to network resource
  - the role resource should not have put_create=True
  - Reorganize identity docs
  - Fix the network flavor disassociate method
  - Reorganize network docs
  - Add params to ClusterDelNodes action
  - Fix the network auto allocate validate
  - Reorganize orchestration docs
  - Added server console output method
  - functional tests: minor cleanup
  - update params about cluster filter event
  - Shift some compute attributes within request body
  - Fix the network quota tests
  - Revert "HAProxy uses milliseconds ..."
  - Add support for volume attachments in compute v2
  - Find floating ip by ip address
  - Port database v1 to resource2
  - Update intersphinx linking to python.org
  - Get endpoint versions with domain scope session
  - Fix exception parsing error
  - Trivial: fix Template resource in orchestration
  - Reorganize compute docs
  - Add direction field to QoS bandwidth limit.
  - Fix doc build if git is absent
  - Add 'service list' resource for senlin
  - Added project role assignment
  - Fix the telemetry sample test
  - Implement metric docs
  - Port metric v1 to resource2
  - Fix the nextwork agent add remove test
  - Reorganize object_store docs
  - Add image download example
  - Fix the service profile meta info test
  - Fix the object store set metadata functional test
  - Change version of hacking in test-requirements
  - Replace assertRaisesRegexp with assertRaisesRegex
  - Add cluster support receiver update operation
  - Fix function test for compute images
  - Update devstack config to point to a valid image
  - Adjust some proxy method names in cluster
  - Remove unsupported telemetry create_sample method
  - Add 'tags' property to orchestration stack
  - Implement message docs
  - Remove support for py34
  - Add compute support server live migrate operation
  - Add docs for volume_attachment compute methods
  - Support profile-only to cluster update
  - Expose OS-EXT-SRV-ATTR:{hypervisor_hostname,instance_name} for Server.
  - Port identity v2 to resource2
  - Port image v1 to resource2
  - Remove unnecessary get_id call in _prepare_request
  - Cleanup more Sphinx warnings during doc build
  - Reorganize bare_metal docs
  - Enable streaming responses in download_image
  - Add network flavor associate, disassociate to SDK
  - Reorganize workflow docs
  - Fix cluster action list filter
  - Reorganize block store docs
  - Remove old telemetry capability
  - Adjust some proxy method names in bare_metal
  - Correct a copy/paste mistake in a docstring
  - Fix py3 compatibility (dict.iteritems()) in object_store
  - Reorganize key_manager docs
  - Expose ha_state property from HA enabled L3 Agents.
  - Remove type restrict of block_device_mapping
  - Reorganize database docs
  - Remove unnecessary coding format in the head of files
  - Add missing attribute to Subnet resource
  - Fix problem with update including id
  - Network tag support
  - Deprecate "wait_for" methods on ProxyBase
  - StackTemplate resource for orchestration
  - Reorganize cluster docs
  - Add get_stack_* methods to documentation
  - Enforce inclusion of pulic proxy methods in docs
  - Specify alternate_id in network quota
  - Avoid imports in openstack/__init__.py
  - Allow router related functions to receive an ID
  - Fix update_image unsupported media type
  - Port unversioned Version resources to resource2
  - Clean up some errant doc warnings/errors
  - Deprecate port and ping methods in Network proxy
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 0.9.13:
  - Add QoS bandwidth limit rule object and CRUD commands.
  - Add reset_state api for compute
  - Add new function for router-gateway
  - Add user_id in profile resource.
  - Add more server operations based on Nova API
  - Add filter "user_id" for cluster receiver list
  - Modified DHCP/Network Resource
  - Add QoS support to Network Port object.
  - Add filters to the network proxy agents() method
  - Fix error messages are not displayed correctly
  - Generalize endpoint determination
  - Fix Setting Quotas in Neutron
  - Rebase telemetry resources to resource2/proxy2
  - Add list method and query support for cinder volume and snapshot
  - Rebase network resources onto resource2 (1)
  - Support for node replace in cluster service
  - Provide better fallback when finding id values
  - Add QoS DSCP marking rule object and CRUD commands.
  - avoid usage of keystoneauth1 sessions
  - Chassis resource for bare-metal service
  - Rebase network proxy to proxy2
  - Update homepage with developer documentation page
  - Fix cluster query mapping
  - compute/v2/server: add ?all_tenants=bool to list
  - Add QoS minimum bandwidth rule object and CRUD commands.
  - Add filters provider-* to the network proxy networks() method
  - Revert "Event list can not display "timestamp"
  - Add filter options to the network proxy address_scopes() method()
  - Updated from global requirements
  - Prepare for baremetal API implementation
  - Fix connection init when session is provided
  - Document the `synchronized` parameter.
  - Obtain Image checksum via additional GET
  - Base for workflow service (mistral)
  - Driver resource for bare-metal service
  - Corrections in DHCP Agent Resource listing.
  - Rebase keystone v3 proxy to proxy2
  - Add support_status to policy type and profile type
  - Fix 'config_drive' and 'networks' for compute server
  - Add user_id in resource class Action/Node
  - Add support for network Service Flavor Profile
  - Modified Metering Rule base_path
  - Rebase network resources to resource2 (4)
  - Add docs for the workflow service
  - Add "sort" in policy binding list
  - Add limit and marker to QueryParameters class
  - Fix telemetry/metering service version
  - Initial docs for bare-metal service
  - Port resource for bare-metal service
  - Add project_id field to cluster's policy and profile
  - Add resource for DHCP Agent.
  - Rebase keystone resources onto resource2
  - Add 'project_id' field to volume resource
  - Proxy module for bare-metal service
  - Event list can not display "timestamp"
  - Support to delete claimed message
  - Remove beta label for network segment resource
  - Add standard attributes to the core network resources
  - Fix the issue non-admin user failed to list trusts
  - Add filters "policy_type" and "policy_name" for policy binding list
  - Document network resource query filters used by OSC
  - Adjust router add/remove interface method names
  - Remove dead code
  - Add workflow service (mistral)
  - Add QoS rule type object and CRUD commands.
  - Add Python 3.5 classifier and venv
  - Enable bare-metal service
  - Add user_id in resource class Policy
  - Fix the issue that 'type' field is missing in profile list
  - Display neutron api error message more precisely
  - Add filter "enabled" for cluster-policy-list
  - Add missing query parameters to compute v2 Server
  - Add support for Role resource in Identity v3
  - Fix metadata property of Senlin node resource
  - Add QoS support to Network object.
  - Clarify argparse connections
  - Node resource for bare-metal service
  - Add network segment create, delete and update support
  - Add filters to the router proxy routers() method
  - Rebase network resources to resource2 (3)
  - Add project ID in QuotaDefault requests
  - Added is_shared resource to Metering Label
  - Fix problem about location header in Zaqar resource2
  - Add 'project_id' field to cluster's action resource
  - Add auto-allocated-topology to SDK
  - Network L3 Router Commands
  - Add support for network Flavor
  - Add resources for Service Provider
  - Add support for filter "status" in node list
  - Add extended Glance Image properties
  - Add service_type resource to Subnets
  - Add filter mac_address to the network proxy ports() method
  - Revert "Display neutron api error message more precisely"
  - Rebase network resources onto resource2 (2)
  - Modified Metering base_path
  - PortGroup resource for bare-metal service
  - Fix error in node action
  - Add dns-domain support to Network object.
  - Add 'dependents' property to Node and Cluster class
* Sun Oct  2 2016 dmueller@suse.com
- revert last change (go back to 0.9.5, which is Newton)
* Fri Sep 23 2016 mjura@suse.com
  update to version 0.9.7
  * Revert "Event list can not display "timestamp"
  * Event list can not display "timestamp"
  * Add project_id field to cluster's policy and profile
  * Fix the issue non-admin user failed to list trusts
  * Fix error in node action
  * compute/v2/server: add ?all_tenants=bool to list
  update to version 0.9.6
  * Add extended Glance Image properties
  * Fix connection init when session is provided
  * Rebase keystone v3 proxy to proxy2
  * Fix 'config_drive' and 'networks' for compute server
  * Fix cluster query mapping
  * Rebase keystone resources onto resource2
  * Add new function for router-gateway
  * Obtain Image checksum via additional GET
  * Adjust router add/remove interface method names
  * Add 'dependents' property to Node and Cluster class
  * Add QoS rule type object and CRUD commands
  * Add QoS bandwidth limit rule object and CRUD commands
  * Add QoS DSCP marking rule object and CRUD commands
  * Add QoS minimum bandwidth rule object and CRUD commands
  * Add network segment create, delete and update support
  * Rebase telemetry resources to resource2/proxy2
  * Fix telemetry/metering service version
  * Fix the issue that 'type' field is missing in profile list
* Fri Sep  2 2016 tbechtold@suse.com
  update to version 0.9.5
  * Updated from global requirements
  * Fix issue "SDKException: Connection failure that may be retried."
* Tue Aug 30 2016 tbechtold@suse.com
  update to version 0.9.4
  * Add SoftwareDeployment resource to orchestration
  * Add policy validation for senlin
  * Fix cluster resource in cluster service
  * Add API microversion support
  * Add collect_cluster_attrs API to cluster service
  * Remove update_flavor method from compute
  * Fix problems about location header in resource2
  * Add SoftwareConfig resource to orchestration
  * _alternate_id should return a server-side name
  * Add support for message resource of Zaqar v2 API
  * Relocate alarm service into a submodule
  * Add support for claim for Zaqar V2 API
  * Add QoS policy object and CRUD commands.
  * Replace _transpose_component with _filter_component
  * Tweak endpoint discovery for apache-style services
  * Improve docstring for some resource2 methods
  * Add services operations into compute service
  * Add 'check_stack' operation to proxy
  * Fix test_limits functional test failure
  * Add profile validation for senlin
  * Add force-delete into compute service
  * Make end-user modules accessible from top level
  * Fix orchestration service initialization
  * HAProxy uses milliseconds for its timeout values.
  * Rebase cluster service to resource2/proxy2
  * Rebase orchestration to resource2/proxy2
  * Support fetching network project default quota
  * Add support for Zaqar V2 queue resource
  * Fix nova server image and flavor
  * Add 'to_dict()' method to resource2.Resource
  * Minor network RBAC policy updates
  * Add template validation support to orchestration
  * Refactor Key Manager for resource2
  * Get endpoints directly from services
  * Refactor image v2 to use resource2/proxy2
  * Updated from global requirements
  * Add support for subscription for Zaqar V2 API
  * Expose 'requires_id' to get_xxx proxy functions
* Fri Jul 22 2016 tbechtold@suse.com
- update to version 0.9.0:
  * Refactor compute for new resource/proxy
  * Allow alternate_id to be accessed directly
  * Add neutron rbac support
  * Updated from global requirements
  * Add temporary test_proxy_base2
  * Add segment_id property to subnet resource
  * Allow resources to check their equality
  * Remove type=timestamp usages
  * Cluster user guide - part 2
  * Move version definition
  * Fix clustering event properties
- update _service and switch to upstream .spec file
* Tue May  3 2016 dmueller@suse.com
- update to 0.8.5:
  * Trivial: Fix typo in update_port() comment
  * Support client certificate/key
  * Add network resource properties
  * Updated from global requirements
  * Properly handle overridden Body properties
* Fri Apr  8 2016 tbechtold@suse.com
- update to 0.8.4:
  * Refactor Resource to better serve Proxy
  * Consistent resource.prop for timestamps and booleans (cluster
  * Add address scope CRUD
  * Consistent resource.prop for timestamps and booleans (object store)
  * Consistent resource.prop for timestamps and booleans (network)
  * Consistent resource.prop for timestamps and booleans (identity)
  * Cluster user guide - first step
  * Consistent resource.prop for timestamps and booleans (orchestration)
  * Consistent resource.prop for timestamps and booleans (telemetry)
  * Fix image member apis
  * Fix content-type for swift upload
  * Fix key manager secret resource object
  * Consistent resource.prop for timestamps and booleans (key manager)
  * Consistent resource.prop for timestamps and booleans (image)
  * Make metadata handling consistent in Compute
  * Fix coverage configuration and execution
  * Consistent resource.prop for timestamps and booleans (compute)
  * Fix functional tests
  * Add/Remove port interface to a router
  * Consistent resource.prop for timestamps and booleans (block store)
  * Consistent resource.prop for timestamps and booleans (metric)
* Mon Mar 14 2016 tbechtold@suse.com
- update to 0.8.1:
  * Add Hypervisor support to Compute Service
- Update description
- Add BuildRequires for testing but testing is still disabled.
* Wed Mar  2 2016 tbechtold@suse.com
- update to 0.8.0:
  * Add Nova server group resource
  * Make metadata handling consistent in Object Store
  * Updated from global requirements
  * Override delete function of senlin cluster/node
  * Basic resource.prop for ID attributes (message)
  * Basic resource.prop for ID attributes (cluster)
  * Adding Check/Recover Actions to Clusters
  * Basic resource.prop for ID attributes (block store)
  * Basic resource.prop for ID attributes (orchestration)
  * Fix compute tests for resource.prop ID attributes
  * Basic resource.prop for ID attributes (compute)
  * Basic resource.prop for ID attributes (image)
  * Basic resource.prop for ID attributes (identity)
  * Basic resource.prop for ID attributes (telemetry)
  * Update attributes uses hard coded id
  * Adding check/recover actions to cluster nodes
  * Basic resource.prop for ID attributes (network)
  * Remove 'date' from Object resource
  * Make functional test resources configurable
  * Fix Port resource properties
  * Refactor profile set_ methods
  * Add UNIXEpoch formatter as a type for properties
  * Update create_network function in test_network
  * Documentation for cluster API and resources
  * Resource object attributes not updated on some interfaces
  * Add ISO8601 formatter as a type for properties
  * Add LoadBalancer vip_port_id and provider properties
  * Raise NotFound exception when get a deleted stack
  * Updated from global requirements
  * download_object/get_object must have the same API
  * Map KSA exception to SDK exceptions
  * Fix URLs for CLI Reference
  * Updated from global requirements
  * Send keystoneauth a better user-agent string
  * Add network availability zone support
  * Allow resource get to carry query string
  * Rework cluster API
  * Skip test class unless a service exists
  * Add attribute 'location' to base resource
  * Add preview_stack for orchestration
  * Update Quota documentation and properties
  * Update Subnet Pools Documentation
  * Update router's functional tests to validate is_ha property
  * Updated from global requirements
  * Use assertTrue/False instead of assertEqual(T/F)
  * Remove status property from LBaaS resources
  * Add functional tests for DVR router
  * Add missing Listener resource properties
  * Better support for metadata in Compute service
  * Add image user guide
  * s/save/download/
  * Replace assertTrue(isinstance()) with assertIsInstance()
  * Replace assertEqual(None, *) with assertIsNone in tests
  * Add support for availability zone request
  * Add proxy methods for node actions (cluster)
  * Rename timestamp fields for cluster service
  * Add cluster actions to cluster proxy
  * Fix docstring of resource_id parameter in resource module
  * Fix server action resource call
  * Correct response value in resource unittests
  * Raise not found error if stack is deleted when find_stack
  * Add Receiver resource to cluster service
  * Add Subnet Pool CRUD
  * remove python 2.6 trove classifier
  * Add Quota RUD and missing properties
  * Add 'resize' action to cluster
  * Return None when getting an attr which is None when using resource.prop()
  * Add Network mtu and port_security_enabled properties
  * Support block_store types where IDs are taken
  * Remove requests from requirements
  * cluster: Use typed props instead of *_id
  * Updated from global requirements
  * Rename key_management to key_manager
  * Replace 'value' arguments in telemetry proxy
  * Add Port port_security_enabled property
  * Replace 'value' arguments in orchestration proxy
  * Replace 'value' arguments in object_store proxy
  * Replace 'value' arguments in network proxy
  * Replace 'value' arguments in key_management proxies
  * Replace 'value' arguments in image proxies
  * Fix exceptions to catch for ignore_missing
  * Updated from global requirements
  * Add admonition to telemetry code
  * Add Router ha, distributed and routes properties
  * Fix "report a bug" launchpad project
  * Add PolicyType resource for clustering
  * Add 'ProfileType' resource for senlin
  * block_store and cluster: replace 'value' arguments
  * Add cluster-policy binding resource to Senlin
  * Skip orchestration functional tests
  * Replace 'value' arguments in identity proxies
  * Replace 'value' arguments in database proxy
  * Replace 'value' arguments in compute proxy
  * Update doc link in README
  * Remove oslosphinx
  * Skip broken functional tests
  * Delete key pair and server for Compute example
  * Fix 400 error in compute examples
  * Fix post test hook script
  * Remove the Metric proxy
  * Remove an extra dangling doc reference to CDN
  * Remove incomplete CDN code
  * Fix failing compute example
  * Updated from global requirements
  * Updated from global requirements
  * Add identity user guide
  * Doc: Add instructions for creating cloud.yaml
  * Replace stackforge with openstack
  * Add BuildInfo resource to cluster service
  * Updated from global requirements
  * Add network user guide
  * Add authorize method to Connection
  * Avoid Pool object creating in pool_member functional calls
  * Fix cluster action api invocations
  * Add rebuild_server function call
  * Replace 'MagicMock' with 'Mock'
  * Updated from global requirements
  * Trivial: Fix a typo in resource.py
  * Add server resize function calls
  * Make nova server_interface function calls work
  * Fix typo in action test case
  * Add event resource for senlin(cluster) service
  * Remove missing capability
  * Remove some dead exception types
  * Fix senlin update verb
  * Replace 'MagicMock' with 'Mock'
  * Publicize the _convert_id call of Resource class
  * Try running examples tests on gate
  * Add documentation for testing examples
  * Cleanup doc references to past modules
  * Use consistent argument names for find proxies
  * find_security_group_rule does not find by name
  * Updates doc enviro to use OpenStack Docs theme
- add _service file
- update Requires according to requirements.txt
* Tue Dec  8 2015 bwiedemann@suse.com
- initial version 0.7.1
